<div class="bg-white px-6 py-24">

    <div class="mx-auto max-w-2xl text-center">
      <h2 class="text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">{{"Login" | transloco}}</h2>
    </div>
    <form  [formGroup]="LoginForm" (ngSubmit)="Login()" class="mx-auto max-w-xl sm:mt-10">
        @if (errorMessage) {
            <div class="flex justify-center items-center p-1">
                <p class="text-xl font-normal text-red-600  max-w-full">
                    {{errorMessage}}
                </p>
            </div>
        }
      <div class="grid grid-cols-1 gap-x-8 gap-y-6 sm:grid-cols-2">


          <div class="sm:col-span-2">
            <label for="username" class="block text-sm font-semibold leading-6 text-gray-900">{{"username" | transloco}}</label>
            <div class="mt-2.5">
              <input type="text" formControlName="username" name="username" id="username" autocomplete="username" class="block w-full rounded-md border-0 px-3.5 py-2 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6">
            </div>
          </div>
        <div class="sm:col-span-2">
          <label for="password" class="block text-sm font-semibold leading-6 text-gray-900">{{"password" | transloco}}</label>
          <div class="mt-2.5">
            <input type="password" formControlName="password" name="password" id="password" autocomplete="organization" class="block w-full rounded-md border-0 px-3.5 py-2 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-indigo-600 sm:text-sm sm:leading-6">
          </div>
        </div>

      </div>
      <div class="mt-10">
        <button type="submit" [disabled]="!LoginForm.valid" class="block w-full rounded-md bg-[#FF0000] px-3.5 py-2.5 text-center text-sm font-semibold text-[#FF0000] shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Let's Go</button>
      </div>
    </form>
  </div>
